---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetfldw003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50370, symBinAddr: 0x6340, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x522B0, symBinAddr: 0x8280, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x526A0, symBinAddr: 0x8670, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53640, symBinAddr: 0x9610, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53650, symBinAddr: 0x9620, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FE80, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FE84, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FE88, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FFD0, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50088, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5008C, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50090, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50094, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50098, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x500A0, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x500B8, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x500C0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x500C8, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x500D0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x500D8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x5011A, symBinAddr: 0x61AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL10actual_fid, symObjAddr: 0x50120, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50128, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50130, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50140, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL4fids, symObjAddr: 0x50280, symBinAddr: 0x6310, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x502A0, symBinAddr: 0x6330, symSize: 0x0 }
  - { offsetInCU: 0x91D6, offset: 0x91D6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1530, symSize: 0x80 }
  - { offsetInCU: 0x926B, offset: 0x926B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1480, symSize: 0xB0 }
  - { offsetInCU: 0x92C6, offset: 0x92C6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1380, symSize: 0x100 }
  - { offsetInCU: 0x9559, offset: 0x9559, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15B0, symSize: 0x220 }
  - { offsetInCU: 0x973E, offset: 0x973E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x17D0, symSize: 0xA0 }
  - { offsetInCU: 0x97F1, offset: 0x97F1, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1870, symSize: 0x110 }
  - { offsetInCU: 0x98E7, offset: 0x98E7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1980, symSize: 0x150 }
  - { offsetInCU: 0x9A18, offset: 0x9A18, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1AD0, symSize: 0x30 }
  - { offsetInCU: 0x9AD9, offset: 0x9AD9, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1B00, symSize: 0x150 }
  - { offsetInCU: 0x9CD1, offset: 0x9CD1, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1C50, symSize: 0x160 }
  - { offsetInCU: 0x9E5D, offset: 0x9E5D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1DB0, symSize: 0x1B0 }
  - { offsetInCU: 0xA078, offset: 0xA078, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1F60, symSize: 0xA0 }
  - { offsetInCU: 0xA147, offset: 0xA147, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2000, symSize: 0x20 }
  - { offsetInCU: 0xA17E, offset: 0xA17E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2020, symSize: 0x20 }
  - { offsetInCU: 0xA1B5, offset: 0xA1B5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2040, symSize: 0x20 }
  - { offsetInCU: 0xA324, offset: 0xA324, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2060, symSize: 0x1A0 }
  - { offsetInCU: 0xA642, offset: 0xA642, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2200, symSize: 0x80 }
  - { offsetInCU: 0xA70B, offset: 0xA70B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2280, symSize: 0x6C0 }
  - { offsetInCU: 0xB281, offset: 0xB281, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA290, symBinAddr: 0x35D0, symSize: 0xB0 }
  - { offsetInCU: 0xB2F8, offset: 0xB2F8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2940, symSize: 0x70 }
  - { offsetInCU: 0xB3B4, offset: 0xB3B4, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x29B0, symSize: 0xA0 }
  - { offsetInCU: 0xB4DF, offset: 0xB4DF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2A50, symSize: 0x40 }
  - { offsetInCU: 0xB5D5, offset: 0xB5D5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2A90, symSize: 0x2B0 }
  - { offsetInCU: 0xB97B, offset: 0xB97B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2D40, symSize: 0xC0 }
  - { offsetInCU: 0xBAC1, offset: 0xBAC1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2E00, symSize: 0x10 }
  - { offsetInCU: 0xBB83, offset: 0xBB83, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2E10, symSize: 0x240 }
  - { offsetInCU: 0xBE6C, offset: 0xBE6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3050, symSize: 0x10 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3060, symSize: 0x150 }
  - { offsetInCU: 0xC096, offset: 0xC096, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E70, symBinAddr: 0x31B0, symSize: 0x10 }
  - { offsetInCU: 0xC0F3, offset: 0xC0F3, size: 0x8, addend: 0x0, symName: _FieldAccess, symObjAddr: 0x9E80, symBinAddr: 0x31C0, symSize: 0x40 }
  - { offsetInCU: 0xC200, offset: 0xC200, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getReady, symObjAddr: 0x9EC0, symBinAddr: 0x3200, symSize: 0x350 }
  - { offsetInCU: 0xC487, offset: 0xC487, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_check, symObjAddr: 0xA210, symBinAddr: 0x3550, symSize: 0x70 }
  - { offsetInCU: 0xC4CA, offset: 0xC4CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetFieldAccessWatch_setfldw003_getRes, symObjAddr: 0xA280, symBinAddr: 0x35C0, symSize: 0x10 }
  - { offsetInCU: 0xC4FF, offset: 0xC4FF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA340, symBinAddr: 0x3680, symSize: 0x36A }
...
